Magic the Gathering: Arena

Informations

Creator Message
adamimran05 Anonymous

Warning

This installer is a beta script. It means that it might not work as expected

Informations

Platforms:
Downloads: 110
Wine: 4.20

Feedbacks

Description

Free-to-play digital collectible card game, 2019. Wikipedia. Website.

Note: the '.MSI' installer file is downloadable from here.

  Appdb.winehq.org (tests reports).

Source code

#!/bin/bash
# Date : (2019-11-29)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : KUbuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: MTGAInstaller_0.1.1968.747022.msi (2019).
#
# Middlewares used by this software : Unity version 2018.2.
#
# CHANGELOG
# [Dadu042] (2019-11-29 23:16)
#   First script.
#   As of today, the .EXE installer is unable to run with Wine (crash after clicking 'Finish').
#
# KNOWN ISSUES:
#  - Wine amd64 4.0.2: 'Invalid command line' while running the .EXE installer. Cause: POL_Call POL_Install_RegisterFonts ?
#  - Wine amd64/x86 4.0.2: Text of the .EXE installer are not displayed until the mouse cursor move over. Tried to install many Fonts functions of POL.
#  - Wine amd64 4.0.2: Went up to the registry screen, but I had a crash. This is why I switch to a higher Wine version.
#
# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
  
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
     
TITLE="Magic the Gathering: Arena"
PREFIX="Magic_Gathering_Arena"
EDITOR="Wizards of the Coast"
GAME_URL="https://en.wikipedia.org/wiki/Magic:_The_Gathering_Arena"
AUTHOR="Dadu042"
STEAM_ID=""
WORKING_WINE_VERSION="4.20"
GAME_VMS="256"
SHORTCUT_FILENAME="MTGA.exe"
SOFTWARE_CATEGORIES="Game;CardGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
    
# Starting the script
POL_SetupWindow_Init
        
# Starting debugging API
POL_Debug_Init
       
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
     
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
     
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
      
POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
 
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
       
# Determine Architecture
POL_System_SetArch "amd64"
# POL_System_SetArch "x86"
  
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
 
Set_OS "win7"
    
# Installing mandatory dependencies
 
# POL_Call POL_Install_d3dx9_43
# POL_Call POL_Install_riched30
# POL_Call POL_Install_phzysx
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210

# POL_Call POL_Install_corefonts
# POL_Call POL_Install_RegisterFonts
# POL_Call POL_Install_gecko
# POL_Call POL_Internal_InstallFonts

# POL_Call POL_Install_dotnet461
Set_OS "win7"

# Sound problem fix - pulseaudio related
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
        
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL"
 
# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
    
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
     
elif [ "$INSTALL_METHOD" == "DVD" ];then
        POL_SetupWindow_cdrom
     
        POL_SetupWindow_check_cdrom "setup.exe"
        POL_Wine start /unix "$CDROM/setup.exe"
        POL_Wine_WaitExit "setup.exe"
 
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
    
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
     
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
        cd "$WINEPREFIX/drive_c"
        POL_Download "https://mtgarena.downloads.wizards.com/Live/Windows32/MTGAInstaller.exe"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        POL_Wine "MTGAInstaller.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        # POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
 
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
 
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "README.txt"
        
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".MSI"
        
        POL_SetupWindow_message "$(eval_gettext 'The standard file MTGAInstaller.exe does not work with Wine.\nInstead, you must get and usethe .MSI file installer.')" "$TITLE"
        
if [ "$APP_ANSWER" == ".MSI" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE" # "/SILENT"
        POL_Wine_WaitExit "$TITLE"
  
        # Restore screen resolution (game's default is 1024x768)
        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
  
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "README.txt"
  
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
              
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi


####################################################
#   How to fix game locking up when alt-tabbing    #
####################################################

cat << EOF > "RegModif.reg"
[HKEY_CURRENT_USER\Software\Wine\X11 Driver\]
"UseTakeFocus"="N"       
EOF
POL_Wine regedit.exe "RegModif.reg"


  
################
#      GPU     #
################
  
# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
 
# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver
  
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
 
 
  
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
  
# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
     
POL_SetupWindow_Close
exit 0

Contributions

Filters:

Contribute
Member Message
Dadu042 Friday 29 November 2019 at 23:37
Dadu042
Moderator

Information

This update has been approved by the team.

Message

I could not pass the registering screen. I get the "Fatal error in gc, GetThreadContext failed" crash. Perhaps Wine v4.21 will help.

Differences

@@ -0,0 +1,208 @@
+#!/bin/bash
+# Date : (2019-11-29)
+# Last revision : see the changelog below
+# Wine version used : see the changelog below
+# Distribution used to test : KUbuntu 18.04 x64
+# Author : Dadu042
+# Licence : Retail
+# Only For : http://www.playonlinux.com
+#
+# TESTED Editions: MTGAInstaller_0.1.1968.747022.msi (2019).
+#
+# Middlewares used by this software : Unity version 2018.2.
+#
+# CHANGELOG
+# [Dadu042] (2019-11-29 23:16)
+#   First script.
+#   As of today, the .EXE installer is unable to run with Wine (crash after clicking 'Finish').
+#
+# KNOWN ISSUES:
+#  - Wine amd64 4.0.2: 'Invalid command line' while running the .EXE installer. Cause: POL_Call POL_Install_RegisterFonts ?
+#  - Wine amd64/x86 4.0.2: Text of the .EXE installer are not displayed until the mouse cursor move over. Tried to install many Fonts functions of POL.
+#  - Wine amd64 4.0.2: Went up to the registry screen, but I had a crash. This is why I switch to a higher Wine version.
+#
+# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
+  
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+     
+TITLE="Magic the Gathering: Arena"
+PREFIX="Magic_Gathering_Arena"
+EDITOR="Wizards of the Coast"
+GAME_URL="https://en.wikipedia.org/wiki/Magic:_The_Gathering_Arena"
+AUTHOR="Dadu042"
+STEAM_ID=""
+WORKING_WINE_VERSION="4.20"
+GAME_VMS="256"
+SHORTCUT_FILENAME="MTGA.exe"
+SOFTWARE_CATEGORIES="Game;CardGame;"
+# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
+    
+# Starting the script
+POL_SetupWindow_Init
+        
+# Starting debugging API
+POL_Debug_Init
+       
+# Open dialogue box 
+POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
+     
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
+     
+# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
+      
+POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
+ 
+# Setting prefix path
+POL_Wine_SelectPrefix "$PREFIX"
+       
+# Determine Architecture
+POL_System_SetArch "amd64"
+# POL_System_SetArch "x86"
+  
+# Downloading wine if necessary and creating prefix
+POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+ 
+Set_OS "win7"
+    
+# Installing mandatory dependencies
+ 
+# POL_Call POL_Install_d3dx9_43
+# POL_Call POL_Install_riched30
+# POL_Call POL_Install_phzysx
+# POL_Call POL_Install_d3dx11
+# POL_Call POL_Install_mono210
+
+# POL_Call POL_Install_corefonts
+# POL_Call POL_Install_RegisterFonts
+# POL_Call POL_Install_gecko
+# POL_Call POL_Internal_InstallFonts
+
+# POL_Call POL_Install_dotnet461
+Set_OS "win7"
+
+# Sound problem fix - pulseaudio related
+# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
+# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
+## End Fix
+        
+# Choose between Steam and other Digital Download versions
+# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
+POL_SetupWindow_InstallMethod "LOCAL"
+ 
+# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
+    
+# Begin game installation
+if [ "$INSTALL_METHOD" == "STEAM" ]; then
+        POL_Call POL_Install_steam
+        # Mandatory pre-install fix for steam
+        POL_Call POL_Install_steam_flags "$STEAM_ID"
+        # Shortcut done before install for steam version
+        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
+        # Steam install
+        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
+        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
+        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
+        POL_Wine_WaitExit "$TITLE"
+     
+elif [ "$INSTALL_METHOD" == "DVD" ];then
+        POL_SetupWindow_cdrom
+     
+        POL_SetupWindow_check_cdrom "setup.exe"
+        POL_Wine start /unix "$CDROM/setup.exe"
+        POL_Wine_WaitExit "setup.exe"
+ 
+        # Restore screen resolution (game's default is 800x600 ?)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+    
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+     
+elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
+        cd "$WINEPREFIX/drive_c"
+        POL_Download "https://mtgarena.downloads.wizards.com/Live/Windows32/MTGAInstaller.exe"
+        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
+        POL_Wine "MTGAInstaller.exe" # "/SILENT"
+        POL_Wine_WaitBefore "$TITLE"
+        # POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+ 
+        # Restore screen resolution (game's default is 1024x768)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+ 
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut_Document "$TITLE" "README.txt"
+        
+elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
+        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
+        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
+        APP_ANSWER=".MSI"
+        
+        POL_SetupWindow_message "$(eval_gettext 'The standard file MTGAInstaller.exe does not work with Wine.\nInstead, you must get and usethe .MSI file installer.')" "$TITLE"
+        
+if [ "$APP_ANSWER" == ".MSI" ]; then
+        # Asking then installing local files of the game
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        POL_Wine start /unix "$SETUP_EXE" # "/SILENT"
+        POL_Wine_WaitExit "$TITLE"
+  
+        # Restore screen resolution (game's default is 1024x768)
+        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+  
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut_Document "$TITLE" "README.txt"
+  
+elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+              
+elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+fi
+fi
+
+
+####################################################
+#   How to fix game locking up when alt-tabbing    #
+####################################################
+
+cat << EOF > "RegModif.reg"
+[HKEY_CURRENT_USER\Software\Wine\X11 Driver\]
+"UseTakeFocus"="N"       
+EOF
+POL_Wine regedit.exe "RegModif.reg"
+
+
+  
+################
+#      GPU     #
+################
+  
+# Asking about memory size of graphic card
+# POL_SetupWindow_VMS $GAME_VMS
+ 
+# Set Graphic Card information keys for wine
+# POL_Wine_SetVideoDriver
+  
+# Useful for Nvidia GPUs
+# POL_Call POL_Install_physx
+ 
+ 
+  
+# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
+  
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
+     
+POL_SetupWindow_Close
+exit 0

New source code

#!/bin/bash
# Date : (2019-11-29)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : KUbuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: MTGAInstaller_0.1.1968.747022.msi (2019).
#
# Middlewares used by this software : Unity version 2018.2.
#
# CHANGELOG
# [Dadu042] (2019-11-29 23:16)
#   First script.
#   As of today, the .EXE installer is unable to run with Wine (crash after clicking 'Finish').
#
# KNOWN ISSUES:
#  - Wine amd64 4.0.2: 'Invalid command line' while running the .EXE installer. Cause: POL_Call POL_Install_RegisterFonts ?
#  - Wine amd64/x86 4.0.2: Text of the .EXE installer are not displayed until the mouse cursor move over. Tried to install many Fonts functions of POL.
#  - Wine amd64 4.0.2: Went up to the registry screen, but I had a crash. This is why I switch to a higher Wine version.
#
# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
  
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
     
TITLE="Magic the Gathering: Arena"
PREFIX="Magic_Gathering_Arena"
EDITOR="Wizards of the Coast"
GAME_URL="https://en.wikipedia.org/wiki/Magic:_The_Gathering_Arena"
AUTHOR="Dadu042"
STEAM_ID=""
WORKING_WINE_VERSION="4.20"
GAME_VMS="256"
SHORTCUT_FILENAME="MTGA.exe"
SOFTWARE_CATEGORIES="Game;CardGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
    
# Starting the script
POL_SetupWindow_Init
        
# Starting debugging API
POL_Debug_Init
       
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
     
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
     
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
      
POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
 
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
       
# Determine Architecture
POL_System_SetArch "amd64"
# POL_System_SetArch "x86"
  
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
 
Set_OS "win7"
    
# Installing mandatory dependencies
 
# POL_Call POL_Install_d3dx9_43
# POL_Call POL_Install_riched30
# POL_Call POL_Install_phzysx
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210

# POL_Call POL_Install_corefonts
# POL_Call POL_Install_RegisterFonts
# POL_Call POL_Install_gecko
# POL_Call POL_Internal_InstallFonts

# POL_Call POL_Install_dotnet461
Set_OS "win7"

# Sound problem fix - pulseaudio related
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
        
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL"
 
# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
    
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
     
elif [ "$INSTALL_METHOD" == "DVD" ];then
        POL_SetupWindow_cdrom
     
        POL_SetupWindow_check_cdrom "setup.exe"
        POL_Wine start /unix "$CDROM/setup.exe"
        POL_Wine_WaitExit "setup.exe"
 
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
    
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
     
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
        cd "$WINEPREFIX/drive_c"
        POL_Download "https://mtgarena.downloads.wizards.com/Live/Windows32/MTGAInstaller.exe"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        POL_Wine "MTGAInstaller.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        # POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
 
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
 
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "README.txt"
        
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        APP_ANSWER=".MSI"
        
        POL_SetupWindow_message "$(eval_gettext 'The standard file MTGAInstaller.exe does not work with Wine.\nInstead, you must get and usethe .MSI file installer.')" "$TITLE"
        
if [ "$APP_ANSWER" == ".MSI" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE" # "/SILENT"
        POL_Wine_WaitExit "$TITLE"
  
        # Restore screen resolution (game's default is 1024x768)
        POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
  
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "README.txt"
  
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
              
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi


####################################################
#   How to fix game locking up when alt-tabbing    #
####################################################

cat << EOF > "RegModif.reg"
[HKEY_CURRENT_USER\Software\Wine\X11 Driver\]
"UseTakeFocus"="N"       
EOF
POL_Wine regedit.exe "RegModif.reg"


  
################
#      GPU     #
################
  
# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
 
# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver
  
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
 
 
  
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
  
# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
     
POL_SetupWindow_Close
exit 0

Replies

Edited by Dadu042

AlphaD Sunday 11 August 2019 at 0:19
AlphaD Anonymous

Message

It does stop during Wine installing Gecko package becoming stuck, if it goes on further it gets stuck without starting the setup.exe choosed.

Done a test with lastes PlayOnLinux version 4.3.4 and Wine 2.22 (amd64).

Replies

Thursday 3 October 2019 at 7:41
Hello
see the post in wine HQ, i try write script folowing this steps.
Thursday 3 October 2019 at 7:41
https://appdb.winehq.org/objectManager.php?sClass=version&iId=37229